Zone
Return HTTP push zone details
curl -X GET "https://api.5centscdn.com/v2/zones/http/push/42" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/zones/http/push/42"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/zones/http/push/42", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/zones/http/push/42", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/zones/http/push/42')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"zone": {
"type": "push",
"id": 12345,
"serviceid": 67890,
"alias": "ahm/test",
"hashid": "abc123def456",
"mode": "http",
"optimizer": "0",
"cnames": "",
"edgeruleids": 0,
"rclone": 0,
"disabled": "0",
"created_at": "2023-01-15 10:00:00",
"updated_at": "2023-01-20 12:00:00",
"deleted": null,
"router": "mycdn",
"remaining": 0,
"status": "Enabled",
"name": "sample-push-zone",
"fqdn": "cdn.example.com",
"ssl": {
"http": "N",
"http2": "N",
"redirect": "N",
"mode": "L",
"certid": "cdn.example.com",
"zerossl": {
"logDir": "/var/logs/ssl/2023/sample",
"messages": [
"Subject Altternative Names are Required"
]
},
"enabled": "Y",
"warning": "Configured SSL. Please add corresponding Custom CNAME from here"
},
"cnamesArr": [],
"cnamesArrFqdn": [
"cdn.example.com"
],
"waf": {
"enabled": "N"
},
"defaultBehaviors": {},
"edgeRules": [],
"cache": {
"smart": "0",
"cache": "4h",
"expiry": "1M",
"querystring": "N",
"cachecontrol": "Y",
"usestale": "Y",
"revalidate": "Y",
"cacheInSecs": 14400,
"cacheInMins": 240,
"expiryInSecs": 2592000,
"expiryInMins": 43200
},
"edge": {
"compression": "N",
"compressionlevel": "5",
"disposition": "N",
"stripcookie": "N",
"xff": "N",
"cors": "N",
"webp": "N",
"pseudostreaming": "N",
"wp": "N",
"lfo": "Y",
"prefresh": "N"
},
"securetoken": {
"enabled": "N",
"policy": "F",
"keyip": "N",
"list": "",
"timeout": 5,
"session": "0",
"ips": "",
"dirs": "",
"active": "N"
},
"behaviorId": 11111,
"linkedVideoManager": null,
"hostHeader": "cdn.example.com",
"storageHost": "storage-eu.example.com",
"storageHostBackup": "storage-na.example.com",
"osAuthUrl": "https://storage-eu.example.com/v3/",
"horizonUrl": "https://storage-eu.example.com/horizon/",
"domainlock": {
"enabled": "N",
"policy": "N",
"list": "",
"ips": "192.168.1.1",
"noreferer": "N",
"active": "N"
},
"geoblock": {
"enabled": "N",
"policy": "N",
"list": [
"AL"
],
"ips": "",
"active": "N"
},
"ipaccess": {
"enabled": "Y",
"policy": "N",
"list": "",
"ips": "",
"active": "N"
},
"useragent": {
"enabled": "Y",
"policy": "N",
"list": "",
"ips": "",
"casesensitive": "N",
"active": "N",
"listArr": [
""
]
},
"eac": {
"enabled": "N",
"policy": "N",
"list": "",
"ips": "",
"active": "N"
},
"bwlimit": {
"enabled": "Y",
"policy": "1",
"rate": 30,
"rateafter": 0,
"payg": "N",
"active": "Y"
},
"cdnservice": {
"purgeurls": [
"/dashboard/67890/zones/http/push/12345/purge"
],
"purgeurl": "["\\/dashboard\\/103\\/zones\\/http\\/push\\/5063\\/purge"]",
"authtoken": "c2FtcGxlLWF1dGh0b2tlbi1oZXJl",
"infourl": "https://cdn-service.example.com/service.php/info/5/push/12345",
"listurl": "https://cdn-service.example.com/service.php/list/5/push/12345",
"rawlisturl": "https://cdn-service.example.com/service.php/raw/list/5/push/12345",
"transcodelisturl": "https://cdn-service.example.com/service.php/transcode/list/5/push/12345",
"addurl": "https://cdn-service.example.com/service.php/add/5/push/12345",
"editurl": "https://cdn-service.example.com/service.php/edit/5/push/12345",
"deleteurl": "https://cdn-service.example.com/service.php/delete/5/push/12345",
"uploadurl": "https://cdn-service.example.com/upload.php",
"playlisturl": "https://cdn-service.example.com/service.php/playlist"
},
"ftpdetails": {
"username": "user_67890_push_12345",
"password": "samplepasswd01"
},
"playbackurls": {
"scheme": "http",
"name": "/path/to/filename.ext",
"url_prefix": "http://cdn.example.com",
"http": "http://cdn.example.com/path/to/filename.ext",
"players": {
"hostname": "player.example.com",
"flowplayer": {
"base": "http://player.example.com/flowplayer/hls/",
"hls": "http://player.example.com/flowplayer/hls/"
},
"videojs": {
"base": "http://player.example.com/videojs/hls/",
"hls": "http://player.example.com/videojs/hls/"
},
"own": {
"hashes": {},
"baseQ": "?showcv=true&title=[ReplaceWithVideoTitle]",
"base": "http://player.example.com/5centscdn/auto/skin1/sampleplayer1/",
"hls": "http://player.example.com/5centscdn/auto/skin1/sampleplayer1/"
}
}
},
"s3details": {
"relid": 12345,
"type": "push",
"projectid": "abc123def456789012345678abcdef12",
"token": "sample-access-token",
"projectid2": "def456abc789012345678901abcdef34",
"token2": "sample-access-token",
"active": "1",
"updated_at": "2023-01-21 08:00:00",
"last_modified": ""
},
"transcodefile": {
"profiles": [
""
],
"emails": [
""
],
"webhooks": [
""
]
},
"server": {
"code": 31,
"name": "London, United Kingdom",
"country": "Europe",
"meta": {
"uploadPort": "21",
"uploadHost": "upload.example.com"
}
},
"hasEdgeRules": true
},
"warnings": null
}
GET
/zones/http/push/{zoneid}GET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
zoneidinteger
RequiredZone ID
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Responses
resultstring
Status of the API response.
zoneobject
warningsstring
Array of non-fatal warning messages, or null if no warnings.
Was this page helpful?